com.sun.grid.jgdi.management

## Class JGDISecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - java.rmi.RMISecurityManager
    - - com.sun.grid.jgdi.management.JGDISecurityManager

-     public class JGDISecurityManager
      extends java.rmi.RMISecurityManager

  This class overrides the checkExit() method

- - ### Field Summary

    - ### Fields inherited from class java.lang.SecurityManager

      `inCheck`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDISecurityManager()` Creates a new instance of JGDISecurityManager

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkExit(int status)`

    - ### Methods inherited from class java.lang.SecurityManager

      `checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDISecurityManager

          public JGDISecurityManager()

      Creates a new instance of JGDISecurityManager

  - ### Method Detail

    - #### checkExit

          public void checkExit(int status)

      Overrides:
        `checkExit` in class `java.lang.SecurityManager`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.